'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParseTextError = exports.parseText = void 0;
const cleanText_1 = require("./cleanText");
function parseText(source, initialStart, regexp = /^[0-9A-Z<]+$/) {
    const cleaned = (0, cleanText_1.cleanText)(source);
    if (!regexp.test(source)) {
        throw new ParseTextError(`invalid text: ${source}. Must match the following regular expression: ${regexp.toString()}`, cleaned, initialStart, initialStart + cleaned.length);
    }
    return cleaned;
}
exports.parseText = parseText;
class ParseTextError extends Error {
    constructor(message, value, start, end) {
        super(message);
        this.value = value;
        this.start = start;
        this.end = end;
    }
}
exports.ParseTextError = ParseTextError;
//# sourceMappingURL=parseText.js.map